## woof-doom 10.5.0+dfsg

=== debian/changelog ===
woof-doom (10.5.0+dfsg-1) unstable; urgency=medium

  * Set Maintainer to Debian Games Team, add myself to Uploaders.
  * New upstream version 10.5.0+dfsg.
  * Remove all patches, applied upstream.
  * Do not hard-code the soundfont anymore, the port offers a choice
    in-game.

 -- Fabian Greffrath <fabian@debian.org>  Wed, 21 Dec 2022 08:31:42 +0100

woof-doom (10.3.0+dfsg-2) unstable; urgency=medium

  * Install all docs into the same directory.
  * Add man/simplecpp to debian/copyright.
  * Run "wrap-and-sort -abst" and complete debian/copyright further.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 21 Oct 2022 19:04:43 +0200

woof-doom (10.3.0+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1021210)

 -- Fabian Greffrath <fabian@debian.org>  Thu, 06 Oct 2022 09:58:01 +0200

## woof-doom 10.5.1+dfsg

=== CMakeLists.txt ===
include(CheckLibraryExists)
include(CheckIncludeFile)
include(CheckSymbolExists)
include(ExternalProject)

# Adds the cmake directory to the CMake include path.
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

cmake_minimum_required(VERSION 3.6)

project("Woof"
    VERSION 10.5.1
    LANGUAGES C)

set(CMAKE_C_STANDARD 99)

# Set a default build type if none was specified
set(default_build_type "RelWithDebInfo")
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "Setting build type to '${default_build_type}' as none was specified.")
  set(CMAKE_BUILD_TYPE "${default_build_type}" CACHE
      STRING "Choose the type of build." FORCE)
  # Set the possible values of build type for cmake-gui
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS
    "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
endif()

# Prevent in-tree builds.
if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
    message(FATAL_ERROR "In-tree builds are not supported.")
endif()

execute_process(COMMAND uname OUTPUT_VARIABLE uname)
if (NOT MSVC AND (uname MATCHES "^MSYS" OR uname MATCHES "^MINGW"))
    set(MSYS ON)
else()
    set(MSYS OFF)
endif()

if(MSYS)
    # 3.16 is needed for GET_RUNTIME_DEPENDENCIES.
    cmake_minimum_required(VERSION 3.16)
endif()

# Hardcoded defines added to configure and resource files.
set(PROJECT_COMPANY "Fabian Greffrath and contributors")
set(PROJECT_COPYRIGHT "Copyright (C) 1993-2021")
set(PROJECT_LICENSE "GNU General Public License, version 2")
set(PROJECT_STRING "${PROJECT_NAME} ${PROJECT_VERSION}")
set(PROJECT_SHORTNAME "woof")
set(WOOF_ICON "woof.ico")
set(SETUP_ICON "setup.ico")
set(PROJECT_VERSION_RC "${PROJECT_VERSION_MAJOR},${PROJECT_VERSION_MINOR},${PROJECT_VERSION_PATCH},0") # ${PROJECT_VERSION_TWEAK}

if(NOT WIN32)
    set(WOOFDATADIR "${CMAKE_INSTALL_PREFIX}/share/${PROJECT_SHORTNAME}" CACHE PATH "Path to install supplemental files")
endif()

# Toggle-able defines added at compile-time.
option("${PROJECT_NAME}_RANGECHECK" "Enable bounds-checking of performance-sensitive functions" ON)
option("${PROJECT_NAME}_STRICT" "Prefer original MBF code paths over demo compatiblity with PrBoom+" OFF)

# Compiler environment requirements.
check_library_exists(m pow "" m_FOUND)
check_include_file("dirent.h" HAVE_DIRENT_H)
check_symbol_exists(strsignal "string.h" HAVE_STRSIGNAL)
check_symbol_exists(strcasecmp "strings.h" HAVE_DECL_STRCASECMP)
check_symbol_exists(strncasecmp "strings.h" HAVE_DECL_STRNCASECMP)

# Library requirements.
#
# In some instances, we can do useful things if a library can't be found.

# SDL2.  On Windows, we use the official development library.
if(NOT SDL2_DIR)
    if(WIN32 AND NOT MSYS)
        message(STATUS "Downloading SDL2 Development Library...")
        set(pkgver "2.26.1")
        if(MSVC)
            file(DOWNLOAD
                "https://github.com/libsdl-org/SDL/releases/download/release-${pkgver}/SDL2-devel-${pkgver}-VC.zip"
                "${CMAKE_CURRENT_BINARY_DIR}/SDL2-VC.zip"
                EXPECTED_HASH SHA256=256a8b46e4a278b7b2b649368bc38a400d943de5b3ef8c14e1b907725cd70072)
            execute_process(COMMAND "${CMAKE_COMMAND}" -E tar xf
                "${CMAKE_CURRENT_BINARY_DIR}/SDL2-VC.zip"
                WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
        else()
            file(DOWNLOAD
                "https://github.com/libsdl-org/SDL/releases/download/release-${pkgver}/SDL2-devel-${pkgver}-mingw.tar.gz"
                "${CMAKE_CURRENT_BINARY_DIR}/SDL2-mingw.tar.gz"
                EXPECTED_HASH SHA256=aa43e1531a89551f9f9e14b27953a81d4ac946a9e574b5813cd0f2b36e83cc1c)
            execute_process(COMMAND "${CMAKE_COMMAND}" -E tar xf
                "${CMAKE_CURRENT_BINARY_DIR}/SDL2-mingw.tar.gz"
                WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
        endif()
        set(SDL2_DIR "${CMAKE_CURRENT_BINARY_DIR}/SDL2-${pkgver}")
    endif()
endif()
find_package(SDL2 2.0.7)

# SDL2_mixer.  On Windows, we use the official development library.
if(NOT SDL2_MIXER_DIR)
    if(WIN32 AND NOT MSYS)
        message(STATUS "Downloading SDL2_mixer Development Library...")
        set(pkgver "2.6.2")
        if(MSVC)
            file(DOWNLOAD
                "https://github.com/libsdl-org/SDL_mixer/releases/download/release-${pkgver}/SDL2_mixer-devel-${pkgver}-VC.zip"
                "${CMAKE_CURRENT_BINARY_DIR}/SDL2_mixer-VC.zip"
                EXPECTED_HASH SHA256=7f050663ccc7911bb9c57b11e32ca79578b712490186b8645ddbbe4e7d2fe1c9)
            execute_process(COMMAND "${CMAKE_COMMAND}" -E tar xf
                "${CMAKE_CURRENT_BINARY_DIR}/SDL2_mixer-VC.zip"
                WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
        else()
            file(DOWNLOAD
                "https://github.com/libsdl-org/SDL_mixer/releases/download/release-${pkgver}/SDL2_mixer-devel-${pkgver}-mingw.tar.gz"
                "${CMAKE_CURRENT_BINARY_DIR}/SDL2_mixer-mingw.tar.gz"
                EXPECTED_HASH SHA256=6c414d05a3b867e0d59e0f9b28ea7e5e64527e612ccf961735dc2478391315b3)
            execute_process(COMMAND "${CMAKE_COMMAND}" -E tar xf
                "${CMAKE_CURRENT_BINARY_DIR}/SDL2_mixer-mingw.tar.gz"
                WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
        endif()
        set(SDL2_MIXER_DIR "${CMAKE_CURRENT_BINARY_DIR}/SDL2_mixer-${pkgver}")
    endif()
endif()
find_package(SDL2_mixer 2.0.2)

# SDL2_net.  On Windows, we use the official development library.
if(NOT SDL2_NET_DIR)
    if(WIN32 AND NOT MSYS)
        message(STATUS "Downloading SDL2_net Development Library...")
        set(pkgver "2.2.0")
        if(MSVC)
            file(DOWNLOAD
                "https://github.com/libsdl-org/SDL_net/releases/download/release-${pkgver}/SDL2_net-devel-${pkgver}-VC.zip"
                "${CMAKE_CURRENT_BINARY_DIR}/SDL2_net-VC.zip"
                EXPECTED_HASH SHA256=f364e55babb44e47b41d039a43c640aa1f76615b726855591b555321c7d870dd)
            execute_process(COMMAND "${CMAKE_COMMAND}" -E tar xf
                "${CMAKE_CURRENT_BINARY_DIR}/SDL2_net-VC.zip"
                WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
        else()
            file(DOWNLOAD
                "https://github.com/libsdl-org/SDL_net/releases/download/release-${pkgver}/SDL2_net-devel-${pkgver}-mingw.tar.gz"
                "${CMAKE_CURRENT_BINARY_DIR}/SDL2_net-mingw.tar.gz"
                EXPECTED_HASH SHA256=369829e06c509d5e001fabdcbe006ff3efa934f3825dc0ae1b076f5ce9c183c4)
            execute_process(COMMAND "${CMAKE_COMMAND}" -E tar xf
                "${CMAKE_CURRENT_BINARY_DIR}/SDL2_net-mingw.tar.gz"
                WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
        endif()
        set(SDL2_NET_DIR "${CMAKE_CURRENT_BINARY_DIR}/SDL2_net-${pkgver}")
    endif()
endif()
find_package(SDL2_net)

# FluidSynth backend
if (NOT FluidSynth_DIR)
    if (WIN32 AND MSVC AND CMAKE_SIZEOF_VOID_P STREQUAL 4)
        message(STATUS "Downloading FluidSynth Development Library...")
        set(pkgver "2.3.0")
        file(DOWNLOAD
            "https://github.com/FluidSynth/fluidsynth/releases/download/v${pkgver}/fluidsynth-${pkgver}-winXP-x86.zip"
            "${CMAKE_CURRENT_BINARY_DIR}/fluidsynth-x86.zip"
            EXPECTED_HASH SHA256=ea84ee14b9c9f394085bbbe6651df7a119879b5e19ebed47d7fd096b18b56c09)
        execute_process(
            COMMAND "${CMAKE_COMMAND}" -E make_directory
            "${CMAKE_CURRENT_BINARY_DIR}/fluidsynth-${pkgver}")
        execute_process(
            COMMAND "${CMAKE_COMMAND}" -E tar xf
            "${CMAKE_CURRENT_BINARY_DIR}/fluidsynth-x86.zip"
            WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/fluidsynth-${pkgver}")
        set(FluidSynth_DIR "${CMAKE_CURRENT_BINARY_DIR}/fluidsynth-${pkgver}")
    endif()
endif()
# 2.2.0 for unicode fopen on Windows
find_package(FluidSynth 2.2.0)

# Python 3
find_package(Python3 COMPONENTS Interpreter)

configure_file(config.h.in config.h)

if(WIN32)
    install(FILES COPYING DESTINATION .)
    install(FILES README.md DESTINATION .)
    install(DIRECTORY docs/ DESTINATION docs)
    install(DIRECTORY examples/ DESTINATION docs/examples)
    install(DIRECTORY autoload/ DESTINATION autoload)
    if(FluidSynth_FOUND)
        install(DIRECTORY soundfonts/ DESTINATION soundfonts)
    endif()
else()
    install(FILES COPYING DESTINATION "share/doc/${PROJECT_SHORTNAME}")
    install(FILES README.md DESTINATION "share/doc/${PROJECT_SHORTNAME}")
    install(DIRECTORY autoload/ DESTINATION "share/${PROJECT_SHORTNAME}/autoload")
    if(EXISTS "${CMAKE_SOURCE_DIR}/docs")
        install(DIRECTORY docs/ DESTINATION "share/doc/${PROJECT_SHORTNAME}")
    endif()
    if(EXISTS "${CMAKE_SOURCE_DIR}/examples")
        install(DIRECTORY examples/ DESTINATION "share/doc/${PROJECT_SHORTNAME}/examples")
    endif()
    if(EXISTS "${CMAKE_SOURCE_DIR}/soundfonts" AND FluidSynth_FOUND)
        install(DIRECTORY soundfonts/ DESTINATION "share/${PROJECT_SHORTNAME}/soundfonts")
    endif()
endif()

# Generate distribution packages with CPack.
if(WIN32)
    set(CPACK_GENERATOR ZIP)
else()
    set(CPACK_GENERATOR TGZ)
endif()
set(CPACK_SOURCE_GENERATOR TGZ ZIP)
set(CPACK_SOURCE_IGNORE_FILES "/.git/;/build;/.vs/;/out/;CMakeSettings.json")
set(CPACK_STRIP_FILES TRUE)
include(CPack)

# Where to find other CMakeLists.txt files.
add_subdirectory(data)
add_subdirectory(opl)
add_subdirectory(textscreen)
add_subdirectory(src)
add_subdirectory(toolsrc)
add_subdirectory(setup)
add_subdirectory(man)

=== data/CMakeLists.txt ===
if(UNIX AND NOT APPLE)
    install(FILES woof.desktop DESTINATION share/applications)
    install(FILES woof.png DESTINATION share/icons/hicolor/128x128/apps)
    install(FILES woof-setup.desktop DESTINATION share/applications)
    install(FILES woof-setup.png DESTINATION share/icons/hicolor/128x128/apps)
endif()

=== opl/CMakeLists.txt ===
include(WoofSettings)

add_library(opl STATIC
            opl_internal.h
            opl.c           opl.h
            opl_queue.c     opl_queue.h
            opl_sdl.c
            opl3.c          opl3.h)

target_woof_settings(opl)

target_include_directories(opl
                           INTERFACE "."
                           PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../" "../src/")
target_link_libraries(opl SDL2::mixer)

=== setup/CMakeLists.txt ===
include(WoofSettings)

add_library(setup STATIC
            mainmenu.c
            multiplayer.c       multiplayer.h
            execute.c           execute.h)

target_woof_settings(setup)

target_include_directories(setup
                           INTERFACE "."
                           PRIVATE "../src/" "${CMAKE_CURRENT_BINARY_DIR}/../")

target_link_libraries(setup textscreen SDL2::SDL2)

=== src/CMakeLists.txt ===
include(WoofSettings)

set(WOOF_SOURCES
    am_map.c                am_map.h
    beta.h
    d_deh.c                 d_deh.h
    d_englsh.h
    d_event.h
    d_french.h
    d_items.c               d_items.h
    d_iwad.c                d_iwad.h
    d_main.c                d_main.h
    d_loop.c                d_loop.h
    d_net.c
    d_player.h
    d_textur.h
    d_think.h
    d_ticcmd.h
    d_quit.c               d_quit.h
    dogs.h
    doomdata.h
    doomdef.c              doomdef.h
    doomstat.c             doomstat.h
    doomtype.h
    dsdhacked.c            dsdhacked.h
    dstrings.c             dstrings.h
    f_finale.c             f_finale.h
    f_wipe.c               f_wipe.h
    g_game.c               g_game.h
    hu_lib.c               hu_lib.h
    hu_stuff.c             hu_stuff.h
    i_endoom.c             i_endoom.h
    i_flmusic.c
    i_glob.c               i_glob.h
    i_main.c
    i_oplmusic.c
    i_sdlmusic.c
    i_sound.c              i_sound.h
    i_system.c             i_system.h
    i_timer.c              i_timer.h
    i_video.c              i_video.h
    info.c                 info.h
    m_argv.c               m_argv.h
    m_bbox.c               m_bbox.h
    m_cheat.c              m_cheat.h
    m_input.c              m_input.h
    m_io.c                 m_io.h
    m_fixed.h
    m_menu.c               m_menu.h
    m_misc.c               m_misc.h
    m_misc2.c              m_misc2.h
    m_random.c             m_random.h
    m_snapshot.c           m_snapshot.h
    m_swap.h
    memio.c                memio.h
    midifallback.c         midifallback.h
    midifile.c             midifile.h
    mus2mid.c              mus2mid.h
    net_client.c           net_client.h
    net_common.c           net_common.h
    net_dedicated.c        net_dedicated.h
    net_defs.h
    net_gui.c              net_gui.h
    net_io.c               net_io.h
    net_loop.c             net_loop.h
    net_packet.c           net_packet.h
    net_petname.c          net_petname.h
    net_query.c            net_query.h
    net_sdl.c              net_sdl.h
    net_server.c           net_server.h
    net_structrw.c         net_structrw.h
    p_action.h
    p_ceilng.c
    p_doors.c
    p_enemy.c              p_enemy.h
    p_extnodes.c           p_extnodes.h
    p_floor.c
    p_genlin.c
    p_inter.c              p_inter.h
    p_lights.c
    p_map.c                p_map.h
    p_maputl.c             p_maputl.h
    p_mobj.c               p_mobj.h
    p_plats.c
    p_pspr.c               p_pspr.h
    p_saveg.c              p_saveg.h
    p_setup.c              p_setup.h
    p_sight.c
    p_spec.c               p_spec.h
    p_switch.c
    p_telept.c
    p_tick.c               p_tick.h
    p_user.c               p_user.h
    r_bmaps.c              r_bmaps.h
    r_bsp.c                r_bsp.h
    r_data.c               r_data.h
    r_defs.h
    r_draw.c               r_draw.h
    r_main.c               r_main.h
    r_plane.c              r_plane.h
    r_segs.c               r_segs.h
    r_sky.c                r_sky.h
    r_state.h
    r_swirl.c              r_swirl.h
    r_things.c             r_things.h
    s_sound.c              s_sound.h
    s_musinfo.c            s_musinfo.h
    sounds.c               sounds.h
    statdump.c             statdump.h
    st_lib.c               st_lib.h
    st_stuff.c             st_stuff.h
    tables.c               tables.h
    thermo.h
    u_mapinfo.c            u_mapinfo.h
    u_scanner.c            u_scanner.h
    v_video.c              v_video.h
    version.c              version.h
    w_wad.c                w_wad.h
    wi_stuff.c             wi_stuff.h
    z_zone.c               z_zone.h
    ../miniz/miniz.c       ../miniz/miniz.h)

if(WIN32)
    list(APPEND
        WOOF_SOURCES
        i_winmusic.c
        ../win32/win_version.c ../win32/win_version.h)
    if(MSVC)
        list(APPEND
            WOOF_SOURCES
            ../win32/win_opendir.c ../win32/win_opendir.h)
    endif()
endif()

# Some platforms require standard libraries to be linked against.
if(m_FOUND)
    list(APPEND WOOF_LIBRARIES m)
endif()

if (WIN32)
    list(APPEND WOOF_LIBRARIES winmm)
endif()

# Standard target definition
if(WIN32)
    add_library(woof SHARED EXCLUDE_FROM_ALL ${WOOF_SOURCES})
    target_compile_definitions(woof PRIVATE WIN_LAUNCHER)
    # Some platforms have SDL2main, others don't.
    if(SDL2_MAIN_LIBRARY)
        list(APPEND WIN_LAUNCHER_LIBS SDL2::SDL2main)
    endif()
    list(APPEND WIN_LAUNCHER_LIBS SDL2::SDL2 woof)

    # Stamp out and compile resource file on Windows.
    configure_file(resource.rc.in "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")

    add_executable(woof-com WIN32
        ../win32/win_launcher.c
        "${CMAKE_CURRENT_BINARY_DIR}/resource.rc"
    )
    target_woof_settings(woof-com)
    target_link_libraries(woof-com PRIVATE ${WIN_LAUNCHER_LIBS})
    if(MSVC)
        # MSVC tries to supply a default manifest and complains when it finds
        # ours unless we specifically tell it not to.
        target_link_options(woof-com PRIVATE "/MANIFEST:NO" "/SUBSYSTEM:CONSOLE")
    else()
        target_link_options(woof-com PRIVATE "-mconsole")
    endif()
    set_target_properties(woof-com PROPERTIES
        RUNTIME_OUTPUT_NAME "woof"
        SUFFIX ".com"
    )

    add_executable(woof-exe WIN32
        ../win32/win_launcher.c
        "${CMAKE_CURRENT_BINARY_DIR}/resource.rc"
    )
    target_woof_settings(woof-exe)
    target_link_libraries(woof-exe PRIVATE ${WIN_LAUNCHER_LIBS})
    if(MSVC)
        target_link_options(woof-exe PRIVATE "/MANIFEST:NO")
    endif()
    set_target_properties(woof-exe PROPERTIES
        RUNTIME_OUTPUT_NAME "woof"
        SUFFIX ".exe"
    )
else()
    # Some platforms have SDL2main, others don't.
    if(SDL2_MAIN_LIBRARY)
        list(APPEND WOOF_LIBRARIES SDL2::SDL2main)
    endif()
    add_executable(woof ${WOOF_SOURCES})
endif()
target_woof_settings(woof)
target_include_directories(woof PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")

if (FluidSynth_FOUND)
    list(APPEND WOOF_LIBRARIES FluidSynth::FluidSynth)
    target_compile_definitions(woof PRIVATE HAVE_FLUIDSYNTH)
endif()

target_link_libraries(woof PRIVATE ${WOOF_LIBRARIES}
    SDL2::SDL2 SDL2::mixer SDL2::net opl textscreen)

# Optional features.
#
# Our defines are not namespaced, so we pass them at compile-time instead of
# using config.h.
if("${${PROJECT_NAME}_RANGECHECK}")
    target_compile_definitions(woof PRIVATE RANGECHECK)
endif()
if("${${PROJECT_NAME}_STRICT}")
    target_compile_definitions(woof PRIVATE MBF_STRICT)
endif()

target_compile_definitions(woof PRIVATE MINIZ_NO_TIME)

set(SETUP_SOURCES
    i_main.c
    i_system.c              i_system.h
    i_timer.c               i_timer.h
    m_argv.c                m_argv.h
    m_misc2.c               m_misc2.h
    m_io.c                  m_io.h
    d_iwad.c                d_iwad.h
    net_io.c                net_io.h
    net_packet.c            net_packet.h
    net_sdl.c               net_sdl.h
    net_query.c             net_query.h
    net_structrw.c          net_structrw.h
    z_zone.c                z_zone.h)

if(WIN32)
    # Stamp out and compile resource file on Windows.
    configure_file(setup-res.rc.in "${CMAKE_CURRENT_BINARY_DIR}/setup-res.rc")
    list(APPEND SETUP_SOURCES "${CMAKE_CURRENT_BINARY_DIR}/setup-res.rc")
endif()

add_executable(woof-setup WIN32 ${SETUP_SOURCES})
target_woof_settings(woof-setup)

# Some platforms have SDL2main, others don't.
if(SDL2_MAIN_LIBRARY)
    set(SETUP_LIBRARIES SDL2::SDL2main)
endif()

target_include_directories(woof-setup PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
target_link_libraries(woof-setup PRIVATE ${SETUP_LIBRARIES}
    SDL2::SDL2 SDL2::net textscreen setup)

if(MSVC)
    set_target_properties(woof-setup PROPERTIES LINK_FLAGS "/MANIFEST:NO")
endif()

# Install

# Assemble library files.
set(WOOF_DLLS "")
if(WIN32 AND NOT MSYS)
    # SDL2
    list(APPEND WOOF_DLLS "${SDL2_DLL_DIR}/SDL2.dll")

    # SDL2_mixer
    list(APPEND WOOF_DLLS "${SDL2_MIXER_DLL_DIR}/optional/libmodplug-1.dll")
    list(APPEND WOOF_DLLS "${SDL2_MIXER_DLL_DIR}/optional/libopus-0.dll")
    list(APPEND WOOF_DLLS "${SDL2_MIXER_DLL_DIR}/optional/libopusfile-0.dll")
    list(APPEND WOOF_DLLS "${SDL2_MIXER_DLL_DIR}/SDL2_mixer.dll")

    # SDL2_net
    list(APPEND WOOF_DLLS "${SDL2_NET_DLL_DIR}/SDL2_net.dll")

    if (FluidSynth_DLL_DIR)
      file(GLOB files "${FluidSynth_DLL_DIR}/*.dll")
      foreach(file ${files})
        list(APPEND WOOF_DLLS ${file})
      endforeach()
    endif()
endif()

# Copy library files to target directory.
foreach(SDL2_DLL ${WOOF_DLLS})
    add_custom_command(TARGET woof POST_BUILD
        COMMAND "${CMAKE_COMMAND}" -E copy_if_different
        "${SDL2_DLL}" $<TARGET_FILE_DIR:woof> VERBATIM)
endforeach()

# Files to package in our distribution.
if(WIN32)
    install(TARGETS woof woof-exe woof-com woof-setup RUNTIME DESTINATION .)
else()
    install(TARGETS woof woof-setup RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
endif()
install(FILES ${WOOF_DLLS} DESTINATION .)

# Copy autoload directory content to binary directory.
add_custom_command(TARGET woof POST_BUILD
    COMMAND "${CMAKE_COMMAND}" -E make_directory
    "${CMAKE_CURRENT_BINARY_DIR}/autoload"
    COMMAND "${CMAKE_COMMAND}" -E copy_directory
    "${CMAKE_CURRENT_SOURCE_DIR}/../autoload"
    "${CMAKE_CURRENT_BINARY_DIR}/autoload" VERBATIM)

# Try get dependencies in MSYS2 environment.
if(MSYS)
    find_program(DLLTOOL_EXECUTABLE
        NAMES dlltool dlltool.exe
    )

    find_library(MODPLUG libmodplug)

    if(MODPLUG AND DLLTOOL_EXECUTABLE)
        execute_process(COMMAND
            "${DLLTOOL_EXECUTABLE}" -I "${MODPLUG}"
            OUTPUT_VARIABLE MODPLUG_DLL_NAME
            OUTPUT_STRIP_TRAILING_WHITESPACE
        )

        find_program(LIBMODPLUG_DLL NAMES ${MODPLUG_DLL_NAME})
        install(CODE "set(LIBMODPLUG_DLL \"${LIBMODPLUG_DLL}\")")
    else()
        message(WARNING "Can't find libmodplug")
    endif()

    if(FluidSynth_FOUND AND DLLTOOL_EXECUTABLE)
        execute_process(COMMAND
            "${DLLTOOL_EXECUTABLE}" -I "${FluidSynth_LIBRARIES}"
            OUTPUT_VARIABLE FLUIDSYNTH_DLL_NAME
            OUTPUT_STRIP_TRAILING_WHITESPACE
        )

        find_program(FLUIDSYNTH_DLL NAMES ${FLUIDSYNTH_DLL_NAME})
        install(CODE "set(FLUIDSYNTH_DLL \"${FLUIDSYNTH_DLL}\")")
    else()
        message(WARNING "Can't find libfluidsynth")
    endif()

    install(CODE "set(MINGW_PATH \"${SDL2_DLL_DIR}\")")

    install(CODE [[
        file(GET_RUNTIME_DEPENDENCIES
            EXECUTABLES "$<TARGET_FILE_DIR:woof>/$<TARGET_FILE_NAME:woof>"
            LIBRARIES    ${LIBMODPLUG_DLL} ${FLUIDSYNTH_DLL}
            RESOLVED_DEPENDENCIES_VAR R_DEPS
            UNRESOLVED_DEPENDENCIES_VAR U_DEPS
            DIRECTORIES ${MINGW_PATH}
            PRE_EXCLUDE_REGEXES "api-ms-*" "ext-ms-*"
            POST_EXCLUDE_REGEXES ".*system32/.*\\.dll"
        )

        file(INSTALL
            DESTINATION ${CMAKE_INSTALL_PREFIX}
            FOLLOW_SYMLINK_CHAIN
            FILES ${R_DEPS} ${LIBMODPLUG_DLL} ${FLUIDSYNTH_DLL}
        )

        list(LENGTH U_DEPS U_LENGTH)
        if("${U_LENGTH}" GREATER 0)
            message(WARNING "Unresolved dependencies: ${U_DEPS}")
        endif()
    ]])
endif()

=== textscreen/CMakeLists.txt ===
include(WoofSettings)

add_library(textscreen STATIC
            textscreen.h
                                txt_main.h
            txt_button.c        txt_button.h
            txt_checkbox.c      txt_checkbox.h
            txt_desktop.c       txt_desktop.h
            txt_dropdown.c      txt_dropdown.h
            txt_gui.c           txt_gui.h
            txt_io.c            txt_io.h
            txt_inputbox.c      txt_inputbox.h
            txt_fileselect.c    txt_fileselect.h
            txt_label.c         txt_label.h
            txt_separator.c     txt_separator.h
            txt_scrollpane.c    txt_scrollpane.h
            txt_strut.c         txt_strut.h
            txt_table.c         txt_table.h
            txt_widget.c        txt_widget.h
            txt_window_action.c txt_window_action.h
            txt_window.c        txt_window.h
            txt_sdl.c           txt_sdl.h
            txt_utf8.c          txt_utf8.h)

target_woof_settings(textscreen)

target_include_directories(textscreen
                           INTERFACE "."
                           PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../" "../src/")
target_link_libraries(textscreen SDL2::SDL2)

=== debian/changelog ===
woof-doom (10.5.1+dfsg-1) unstable; urgency=medium

  * New upstream version 10.5.1+dfsg

 -- Fabian Greffrath <fabian@debian.org>  Wed, 28 Dec 2022 19:36:51 +0100

=== debian/control ===
Source: woof-doom
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Fabian Greffrath <fabian@debian.org>
Rules-Requires-Root: no
Build-Depends:
 bash-completion,
 cmake,
 debhelper-compat (= 13),
 libfluidsynth-dev,
 libsdl2-dev,
 libsdl2-mixer-dev,
 libsdl2-net-dev,
 python3,
Standards-Version: 4.6.1
Homepage: https://github.com/fabiangreffrath/woof
Vcs-Git: https://salsa.debian.org/games-team/woof-doom.git
Vcs-Browser: https://salsa.debian.org/games-team/woof-doom

Package: woof-doom
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 freedoom | game-data-packager,
Provides:
 boom-engine,
 doom-engine,
Conflicts:
 woof,
Description: Doom source port MBF targeted at modern systems
 Woof! is a continuation of Lee Killough's Doom source port MBF
 targeted at modern systems.
 .
 MBF stands for "Marine's Best Friend" and is widely regarded as the
 successor of the Boom source port by TeamTNT. It serves as the code
 base for popular Doom source ports such as PrBoom+/DSDA-Doom or The
 Eternity Engine. As the original engine was limited to run only under
 MS-DOS, it has been ported to Windows by Team Eternity under the name
 WinMBF in 2004. Woof! is developed based on the WinMBF code with the
 aim to make MBF more widely available and convenient to use on modern
 systems.
 .
 To achieve this goal, this source port is less strict regarding its
 faithfulness to the original MBF. It is focused on quality-of-life
 enhancements, bug fixes and compatibility improvements. However, all
 changes have been introduced in good faith that they are in line with
 the original author's intentions and even for the trained eye, this
 source port should still look very familiar to the original MBF.
 .
 In summary, this project's goal is to forward-port MBF.EXE from DOS to
 21st century and remove all the stumbling blocks on the way.
 Furthermore, just as MBF was ahead of its time, this project dedicates
 itself to early adoption of new modding features such as
 DEHEXTRA+DSDHacked, UMAPINFO and MBF21.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DBUILD_DATE='"$(shell date --utc --date=@${SOURCE_DATE_EPOCH} +%Y-%m-%d)"'

%:
	dh $@ \
		--with bash-completion

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_BINDIR=games \
		-DWOOFDATADIR="/usr/share/woof"

execute_after_dh_installdocs:
	mv debian/woof-doom/usr/share/doc/woof/CMDLINE.txt* \
	   debian/woof-doom/usr/share/doc/woof/README.md* \
	   debian/woof-doom/usr/share/doc/woof-doom
	rm -rf debian/woof-doom/usr/share/doc/woof

## woof-doom 11.3.0+dfsg

=== CMakeLists.txt ===
include(CheckLibraryExists)
include(CheckIncludeFile)
include(CheckSymbolExists)

# Adds the cmake directory to the CMake include path.
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

# X_VCPKG_APPLOCAL_DEPS_INSTALL automatically installs dependencies. CMP0077
# supress some arcane CMake warning.
set(CMAKE_POLICY_DEFAULT_CMP0077 NEW)
set(X_VCPKG_APPLOCAL_DEPS_INSTALL ON)

cmake_minimum_required(VERSION 3.9)

project("Woof"
    VERSION 11.3.0
    LANGUAGES C)

set(CMAKE_C_STANDARD 99)

# Set a default build type if none was specified
set(default_build_type "RelWithDebInfo")
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "Setting build type to '${default_build_type}' as none was specified.")
  set(CMAKE_BUILD_TYPE "${default_build_type}" CACHE
      STRING "Choose the type of build." FORCE)
  # Set the possible values of build type for cmake-gui
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS
    "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
endif()

# Prevent in-tree builds.
if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
    message(FATAL_ERROR "In-tree builds are not supported.")
endif()

# Hardcoded defines added to configure and resource files.
set(PROJECT_COMPANY "Fabian Greffrath and contributors")
set(PROJECT_COPYRIGHT "Copyright (C) 1993-2023")
set(PROJECT_LICENSE "GNU General Public License, version 2")
set(PROJECT_STRING "${PROJECT_NAME} ${PROJECT_VERSION}")
set(PROJECT_SHORTNAME "woof")
set(WOOF_ICON "woof.ico")
set(SETUP_ICON "setup.ico")
set(PROJECT_VERSION_RC "${PROJECT_VERSION_MAJOR},${PROJECT_VERSION_MINOR},${PROJECT_VERSION_PATCH},0") # ${PROJECT_VERSION_TWEAK}

if(NOT WIN32)
    set(WOOFDATADIR "${CMAKE_INSTALL_PREFIX}/share/${PROJECT_SHORTNAME}" CACHE PATH "Path to install supplemental files")
endif()

# Toggle-able defines added at compile-time.
option(WOOF_RANGECHECK "Enable bounds-checking of performance-sensitive functions" ON)
option(WOOF_STRICT "Prefer original MBF code paths over demo compatiblity with PrBoom+" OFF)

# Compiler environment requirements.
check_library_exists(m pow "" HAVE_LIBM)
check_include_file("dirent.h" HAVE_DIRENT_H)
check_symbol_exists(strcasecmp "strings.h" HAVE_DECL_STRCASECMP)
check_symbol_exists(strncasecmp "strings.h" HAVE_DECL_STRNCASECMP)

option(CMAKE_FIND_PACKAGE_PREFER_CONFIG
       "Lookup package config files before using find modules" ON)

set(CMAKE_FIND_FRAMEWORK NEVER)

# Library requirements.
find_package(SDL2 2.0.18 REQUIRED)
find_package(SDL2_net REQUIRED)
find_package(OpenAL REQUIRED)
find_package(SndFile 1.0.29 REQUIRED)

if(NOT TARGET SDL2_net::SDL2_net)
    add_library(SDL2_net::SDL2_net ALIAS SDL2_net::SDL2_net-static)
endif()

if(SndFile_VERSION VERSION_GREATER_EQUAL "1.1.0")
   set(HAVE_SNDFILE_MPEG TRUE)
endif()

find_package(FluidSynth)
find_package(libxmp)

if(FluidSynth_FOUND)
    set(HAVE_FLUIDSYNTH TRUE)
endif()

if(libxmp_FOUND)
    set(HAVE_LIBXMP TRUE)
    if(NOT TARGET libxmp::xmp)
        if(TARGET libxmp::xmp_shared)
            add_library(libxmp::xmp ALIAS libxmp::xmp_shared)
        else()
            add_library(libxmp::xmp ALIAS libxmp::xmp_static)
        endif()
    endif()
endif()

# Python 3
find_package(Python3 COMPONENTS Interpreter)

configure_file(config.h.in config.h)

if(WIN32)
    install(FILES COPYING DESTINATION . RENAME COPYING.txt)
    install(FILES README.md DESTINATION .)
    install(DIRECTORY examples/ DESTINATION docs/examples)
    install(DIRECTORY autoload/ DESTINATION autoload)
    if(FluidSynth_FOUND)
        install(DIRECTORY soundfonts/ DESTINATION soundfonts)
    endif()
else()
    install(FILES COPYING DESTINATION "share/doc/${PROJECT_SHORTNAME}")
    install(FILES README.md DESTINATION "share/doc/${PROJECT_SHORTNAME}")
    install(DIRECTORY autoload/ DESTINATION "share/${PROJECT_SHORTNAME}/autoload")
    if(EXISTS "${CMAKE_SOURCE_DIR}/examples")
        install(DIRECTORY examples/ DESTINATION "share/doc/${PROJECT_SHORTNAME}/examples")
    endif()
    if(EXISTS "${CMAKE_SOURCE_DIR}/soundfonts" AND FluidSynth_FOUND)
        install(DIRECTORY soundfonts/ DESTINATION "share/${PROJECT_SHORTNAME}/soundfonts")
    endif()
endif()

# Generate distribution packages with CPack.
if(WIN32)
    set(CPACK_GENERATOR ZIP)
else()
    set(CPACK_GENERATOR TGZ)
endif()
set(CPACK_SOURCE_GENERATOR TGZ ZIP)
set(CPACK_SOURCE_IGNORE_FILES "/.git/;/build;/.vs/;/out/;CMakeSettings.json")
set(CPACK_STRIP_FILES TRUE)
include(CPack)

# Where to find other CMakeLists.txt files.
add_subdirectory(data)
add_subdirectory(opl)
add_subdirectory(textscreen)
add_subdirectory(src)
add_subdirectory(toolsrc)
add_subdirectory(setup)
add_subdirectory(docs)
add_subdirectory(man)

=== docs/CMakeLists.txt ===
set(WOOF_DOCS
    boom.txt
    boomdeh.txt
    boomref.txt
    mapcolors_vanilla.cfg
    mbf.txt
    mbfedit.txt
    mbffaq.txt
    options.txt
    woofhud.lmp
    woofhud.md)

if(WIN32)
    install(FILES ${WOOF_DOCS} DESTINATION docs)
else()
    install(FILES ${WOOF_DOCS} DESTINATION "share/doc/${PROJECT_SHORTNAME}")
endif()

=== src/CMakeLists.txt ===
include(WoofSettings)

set(WOOF_SOURCES
    am_map.c               am_map.h
                           beta.h
                           cross.h
    d_deh.c                d_deh.h
                           d_englsh.h
                           d_event.h
                           d_french.h
    d_items.c              d_items.h
    d_iwad.c               d_iwad.h
    d_loop.c               d_loop.h
    d_main.c               d_main.h
    d_net.c
                           d_player.h
    d_quit.c               d_quit.h
                           d_think.h
                           d_ticcmd.h
                           dogs.h
                           doomdata.h
    doomdef.c              doomdef.h
    doomstat.c             doomstat.h
                           doomtype.h
    dsdhacked.c            dsdhacked.h
    dstrings.c             dstrings.h
    f_finale.c             f_finale.h
    f_wipe.c               f_wipe.h
                           font.h
    g_game.c               g_game.h
    hu_lib.c               hu_lib.h
    hu_stuff.c             hu_stuff.h
    i_endoom.c             i_endoom.h
    i_glob.c               i_glob.h
    i_input.c              i_input.h
    i_main.c
    i_oalmusic.c           i_oalmusic.h
                           i_oalstream.h
    i_oplmusic.c
    i_sndfile.c            i_sndfile.h
    i_sound.c              i_sound.h
    i_system.c             i_system.h
    i_timer.c              i_timer.h
    i_video.c              i_video.h
    info.c                 info.h
    m_argv.c               m_argv.h
    m_bbox.c               m_bbox.h
    m_cheat.c              m_cheat.h
                           m_fixed.h
    m_input.c              m_input.h
    m_io.c                 m_io.h
    m_menu.c               m_menu.h
    m_misc.c               m_misc.h
    m_misc2.c              m_misc2.h
    m_random.c             m_random.h
    m_snapshot.c           m_snapshot.h
                           m_swap.h
    memio.c                memio.h
    midifallback.c         midifallback.h
    midifile.c             midifile.h
    mus2mid.c              mus2mid.h
    net_client.c           net_client.h
    net_common.c           net_common.h
    net_dedicated.c        net_dedicated.h
                           net_defs.h
    net_gui.c              net_gui.h
    net_io.c               net_io.h
    net_loop.c             net_loop.h
    net_packet.c           net_packet.h
    net_petname.c          net_petname.h
    net_query.c            net_query.h
    net_sdl.c              net_sdl.h
    net_server.c           net_server.h
    net_structrw.c         net_structrw.h
                           p_action.h
    p_ceilng.c
    p_doors.c
    p_enemy.c              p_enemy.h
    p_extnodes.c           p_extnodes.h
    p_floor.c
    p_genlin.c
    p_inter.c              p_inter.h
    p_lights.c
    p_map.c                p_map.h
    p_maputl.c             p_maputl.h
    p_mobj.c               p_mobj.h
    p_plats.c
    p_pspr.c               p_pspr.h
    p_saveg.c              p_saveg.h
    p_setup.c              p_setup.h
    p_sight.c
    p_spec.c               p_spec.h
    p_switch.c
    p_telept.c
    p_tick.c               p_tick.h
    p_user.c               p_user.h
    r_bmaps.c              r_bmaps.h
    r_bsp.c                r_bsp.h
    r_data.c               r_data.h
                           r_defs.h
    r_draw.c               r_draw.h
    r_main.c               r_main.h
    r_plane.c              r_plane.h
    r_segs.c               r_segs.h
    r_sky.c                r_sky.h
                           r_state.h
    r_swirl.c              r_swirl.h
    r_things.c             r_things.h
    s_musinfo.c            s_musinfo.h
    s_sound.c              s_sound.h
    sounds.c               sounds.h
    st_lib.c               st_lib.h
    st_stuff.c             st_stuff.h
    statdump.c             statdump.h
    tables.c               tables.h
                           thermo.h
    u_mapinfo.c            u_mapinfo.h
    u_scanner.c            u_scanner.h
    v_trans.c              v_trans.h
    v_video.c              v_video.h
    version.c              version.h
    w_wad.c                w_wad.h
    wi_stuff.c             wi_stuff.h
    z_zone.c               z_zone.h
    ../miniz/miniz.c       ../miniz/miniz.h)

# Standard target definition
if(WIN32)
    add_library(woof SHARED EXCLUDE_FROM_ALL ${WOOF_SOURCES})
    target_compile_definitions(woof PRIVATE WIN_LAUNCHER)

    # Stamp out and compile resource file on Windows.
    configure_file(resource.rc.in "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")

    add_executable(woof-com WIN32 ../win32/win_launcher.c
        "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
    target_woof_settings(woof-com)
    target_link_libraries(woof-com PRIVATE ${SDL2_LIBRARIES} woof)

    add_executable(woof-exe WIN32 ../win32/win_launcher.c
        "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
    target_woof_settings(woof-exe)
    target_link_libraries(woof-exe PRIVATE ${SDL2_LIBRARIES} woof)

    # MSVC tries to supply a default manifest and complains when it finds ours
    # unless we specifically tell it not to.
    if(MSVC)
        target_link_options(woof-com PRIVATE "/MANIFEST:NO" "/SUBSYSTEM:CONSOLE")
        target_link_options(woof-exe PRIVATE "/MANIFEST:NO")
    else()
        target_link_options(woof-com PRIVATE "-mconsole")
    endif()
else()
    add_executable(woof ${WOOF_SOURCES})
endif()

target_woof_settings(woof)
target_include_directories(woof PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")

target_link_libraries(woof PRIVATE
    ${SDL2_LIBRARIES}
    SDL2_net::SDL2_net
    OpenAL::OpenAL
    SndFile::sndfile
    opl
    textscreen)

# Some platforms require standard libraries to be linked against.
if(HAVE_LIBM)
    target_link_libraries(woof PRIVATE m)
endif()

if(WIN32)
    target_sources(woof PRIVATE i_winmusic.c)
    target_link_libraries(woof PRIVATE winmm)
    if(MSVC)
        target_sources(woof PRIVATE
            ../win32/win_opendir.c ../win32/win_opendir.h)
    endif()
endif()

if(APPLE)
    target_sources(woof PRIVATE i_macmusic.c)
    target_link_libraries(woof PRIVATE
        -Wl,-framework,AudioToolbox -Wl,-framework,AudioUnit -Wl,-framework,CoreServices)
endif()

if(FluidSynth_FOUND)
    target_sources(woof PRIVATE i_flmusic.c)
    target_link_libraries(woof PRIVATE FluidSynth::libfluidsynth)
endif()

if(libxmp_FOUND)
    target_sources(woof PRIVATE i_xmp.c)
    target_link_libraries(woof PRIVATE libxmp::xmp)
endif()

# Optional features.
#
# Our defines are not namespaced, so we pass them at compile-time instead of
# using config.h.
if(WOOF_RANGECHECK)
    target_compile_definitions(woof PRIVATE RANGECHECK)
endif()
if(WOOF_STRICT)
    target_compile_definitions(woof PRIVATE MBF_STRICT)
endif()

target_compile_definitions(woof PRIVATE MINIZ_NO_TIME)

set(SETUP_SOURCES
    d_iwad.c                d_iwad.h
    i_main.c
    i_system.c              i_system.h
    i_timer.c               i_timer.h
    m_argv.c                m_argv.h
    m_io.c                  m_io.h
    m_misc2.c               m_misc2.h
    net_io.c                net_io.h
    net_packet.c            net_packet.h
    net_query.c             net_query.h
    net_sdl.c               net_sdl.h
    net_structrw.c          net_structrw.h
    version.c               version.h
    z_zone.c                z_zone.h)

if(WIN32)
    # Stamp out and compile resource file on Windows.
    configure_file(setup-res.rc.in "${CMAKE_CURRENT_BINARY_DIR}/setup-res.rc")
    list(APPEND SETUP_SOURCES "${CMAKE_CURRENT_BINARY_DIR}/setup-res.rc")
endif()

add_executable(woof-setup WIN32 ${SETUP_SOURCES})
target_woof_settings(woof-setup)

target_include_directories(woof-setup PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
target_link_libraries(woof-setup PRIVATE
    ${SDL2_LIBRARIES}
    SDL2_net::SDL2_net
    textscreen
    setup)

if(MSVC)
    target_link_options(woof-setup PRIVATE "/MANIFEST:NO")
endif()

# Install
#
# Rename woof-com and woof-exe executables.
if(WIN32)
    add_custom_command(TARGET woof-com POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E copy
        "$<TARGET_FILE_DIR:woof-com>/$<TARGET_FILE_NAME:woof-com>"
        "$<TARGET_FILE_DIR:woof-com>/woof.com")
    add_custom_command(TARGET woof-exe POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E copy
        "$<TARGET_FILE_DIR:woof-exe>/$<TARGET_FILE_NAME:woof-exe>"
        "$<TARGET_FILE_DIR:woof-exe>/woof.exe")
endif()

# Files to package in our distribution.
if(WIN32)
    if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.21 AND NOT VCPKG_TOOLCHAIN)
        install(TARGETS woof woof-setup
                RUNTIME_DEPENDENCIES 
                    PRE_EXCLUDE_REGEXES "api-ms-" "ext-ms-"
                    POST_EXCLUDE_REGEXES ".*system32/.*\\.dll"
                    DIRECTORIES $<TARGET_FILE_DIR:woof> $ENV{PATH}
                RUNTIME DESTINATION .)
    else()
        install(TARGETS woof woof-setup RUNTIME DESTINATION .)
    endif()
    install(FILES "$<TARGET_FILE_DIR:woof-com>/woof.com" DESTINATION .)
    install(FILES "$<TARGET_FILE_DIR:woof-exe>/woof.exe" DESTINATION .)
else()
    install(TARGETS woof woof-setup RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
endif()

# Copy autoload directory content to target directory.
add_custom_command(TARGET woof POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E make_directory
    "$<TARGET_FILE_DIR:woof>/autoload"
    COMMAND ${CMAKE_COMMAND} -E copy_directory
    "${CMAKE_SOURCE_DIR}/autoload"
    "$<TARGET_FILE_DIR:woof>/autoload" VERBATIM)

=== debian/changelog ===
woof-doom (11.3.0+dfsg-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 14 Aug 2023 07:26:47 -0700

woof-doom (11.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version 11.3.0+dfsg

 -- Fabian Greffrath <fabian@debian.org>  Fri, 14 Jul 2023 15:45:53 +0200

woof-doom (11.2.0+dfsg-2) unstable; urgency=medium

  * Adapt short description to upstream synapsis.
  * Bump versioned Build-Depends according to upstream requirements.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 17 Jun 2023 13:36:13 +0200

woof-doom (11.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 11.2.0+dfsg.
  * Bump Standards-Version to 4.6.2.
  * Update debian/copyright.
  * Install some more relevant documentation.
  * Replace Build-Depends on libsdl2-mixer-dev with libopenal-dev,
    libsndfile1-dev and libxmp-dev.
  * Add Build-Depends on fluidsynth, because its cmake target requires
    the executable.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 16 Jun 2023 10:58:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,33 @@
 Source: woof-doom
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Fabian Greffrath <fabian@debian.org>
 Rules-Requires-Root: no
-Build-Depends:
- bash-completion,
- cmake,
- debhelper-compat (= 13),
- libfluidsynth-dev,
- libsdl2-dev,
- libsdl2-mixer-dev,
- libsdl2-net-dev,
- python3,
-Standards-Version: 4.6.1
+Build-Depends: bash-completion,
+               cmake,
+               debhelper-compat (= 13),
+               fluidsynth (>= 2.2.0),
+               libfluidsynth-dev (>= 2.2.0),
+               libopenal-dev,
+               libsdl2-dev (>= 2.0.18),
+               libsdl2-net-dev,
+               libsndfile1-dev (>= 1.1.0),
+               libxmp-dev,
+               python3
+Standards-Version: 4.6.2
 Homepage: https://github.com/fabiangreffrath/woof
 Vcs-Git: https://salsa.debian.org/games-team/woof-doom.git
 Vcs-Browser: https://salsa.debian.org/games-team/woof-doom
 
 Package: woof-doom
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Recommends:
- freedoom | game-data-packager,
-Provides:
- boom-engine,
- doom-engine,
-Conflicts:
- woof,
-Description: Doom source port MBF targeted at modern systems
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: freedoom | game-data-packager
+Provides: boom-engine, doom-engine
+Conflicts: woof
+Description: continuation of the Boom/MBF bloodline of Doom source ports
  Woof! is a continuation of Lee Killough's Doom source port MBF
  targeted at modern systems.
  .

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,12 @@
 
 execute_after_dh_installdocs:
 	mv debian/woof-doom/usr/share/doc/woof/CMDLINE.txt* \
-	   debian/woof-doom/usr/share/doc/woof/README.md* \
+	   debian/woof-doom/usr/share/doc/woof/*.cfg* \
+	   debian/woof-doom/usr/share/doc/woof/*.lmp* \
+	   debian/woof-doom/usr/share/doc/woof/*.md* \
 	   debian/woof-doom/usr/share/doc/woof-doom
 	rm -rf debian/woof-doom/usr/share/doc/woof
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
